curl -X POST https://api.growthbook.io/api/v1/fact-tables/ftb_123abc/filters \
-d '{"name":"High Value Order", "value":"amount>100"}' \
-u secret_abc123DEF456:{
"factTableFilter": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"value": "<string>",
"managedBy": "",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"Specify a specific fact table
The SQL expression for this filter.
"country = 'US'"
Description of the fact table filter
Set this to "api" to disable editing in the GrowthBook UI. Before you do this, the Fact Table itself must also be marked as "api"
, api Success
Show child attributes
curl -X POST https://api.growthbook.io/api/v1/fact-tables/ftb_123abc/filters \
-d '{"name":"High Value Order", "value":"amount>100"}' \
-u secret_abc123DEF456:{
"factTableFilter": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"value": "<string>",
"managedBy": "",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z"
}
}